Skip to content

Backup schedule ​

2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getBackupScheduleTaskGETGet backup schedule task
modifyBackupScheduleTaskPOSTModify backup schedule task

getBackupScheduleTask ​

GET /openapi/v1/{omadacId}/backupschedule/task

Get backup schedule task

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getBackupScheduleTask"
}
Details, permissions and error codes

Get backup schedule task.
The interface requires one of the permissions:
Global Other Setting Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.

modifyBackupScheduleTask ​

POST /openapi/v1/{omadacId}/backupschedule/task

Modify backup schedule task

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema AutoBackupOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesWhether enable backup schedule task
occurrenceBaseScheduleTimeVOno(BaseScheduleTimeVO not expanded; call omada_get_schema "BaseScheduleTimeVO")
maxNumberOfFileintegernoMax number of schedule backup files
retentionintegernoRetention setting for data, values are as follows: -1 retention settings only, 0 backup all data, only for software controller, 7 retention backup data for 7 days, 30 retention backup data for 30 days, 60 retention backup data for 60 days, 90 retention backup data for 90 days, 180 retention backup data for 180 days, 365 retention backup data for 365 days
savingPathstringnoSaving path for backup schedule
availablePathsarray<string>noAvailable paths for backup schedule
fileServerConfigFileServerOpenApiVOno(FileServerOpenApiVO not expanded; call omada_get_schema "FileServerOpenApiVO")
storageTypeintegernoStorage type, values are as follows: 0 for file server, 1 for cloud server(only for Cloud based controller), 2 for local disk, null for default path
dataSheetsarray<string>noData to backup, values are as follows: knowClient, omadaLog, auditLog.
retainSettingbooleannoWhether retain setting when backup.
retainUserbooleannoWhether retain user when backup.
retainAuthRecordbooleannoWhether retain auth record when backup.
retainFirmwareLogbooleannoWhether retain firmware log when backup.
json
// omada_call_operation
{
  "operationId": "modifyBackupScheduleTask",
  "body": "{...}"
}
Details, permissions and error codes

Modify backup schedule task.
The interface requires one of the permissions:
Global Other Setting Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.